#if !defined(_ADATA_DMACORE_H)
#define _ADATA_DMACORE_H

#include "platform.h"
#include "device.h"

extern void
ADMXRC_CleanupDMA(
  ADMXRC*        devCtx);

extern os_boolean
ADMXRC_TestQueueDMA(
  ADMXRC*         devCtx,
  ADMXRC_DMANODE* dmanode);

extern void
ADMXRC_EnqueueDMA(
  ADMXRC*         devCtx,
  ADMXRC_DMANODE* dmanode,
  os_boolean      canstart);

extern os_boolean
ADMXRC_CancelDMA(
  ADMXRC*         devCtx,
  ADMXRC_DMANODE* dmanode);

extern void
ADMXRC_DMACompleted(
  ADMXRC*        devCtx,
  unsigned char  chan);

#endif
